from pydantic import BaseModel, conlist


class PowerLevels(BaseModel):
    pilot_power: float = 0.0
    target_power: float = 0.0

    tx_link_power: conlist(float, min_items=2, max_items=2) = [0.0, 0.0]
    tx_sv_power: conlist(float, min_items=4, max_items=4) = [0.0, 0.0, 0.0, 0.0]
